﻿.required {
    color: red;
}

.form-group {
    margin-bottom: 5px;
}

select.input-sm {
    height: 25px;
}

.imageButton {
    height: 16px;
    width: 16px;
}

.panel-body {
    padding: 10px;
    background: #f5f5f5;
}

.panel-heading {
    padding: 5px 10px;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    padding: 3px 8px;
}

.panel {
    margin-bottom: 5px;    
}
.panel-default > .panel-heading {
    color: #333;
    background: linear-gradient(#eee,#ddd);
    border-color: #ddd;
}

.nav-tabs {
    border-bottom: 0px solid #ddd;
}

.back {
    display: none;
}
.navbar-inverse {
    background: linear-gradient(#546e7a,#37474f);
    border-color: #37474f;
}

.navbar {
    border-radius: 0px;
    margin-bottom: 5px;
}

.navbar-inverse .navbar-nav > li > a {
    color: #fff;
}

.navbar-inverse .navbar-nav > .open > a, .navbar-inverse .navbar-nav > .open > a:hover, .navbar-inverse .navbar-nav > .open > a:focus {
    color: #fff;
    background-color: #31708f;
}

.navbar-inverse .navbar-brand {
    color: #fff;
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
    background-color: #E0F2F1;
    font-weight: bold;
    color: #333;
}

.border {
    border: 1px solid #CE5454;
}

thead tr {
    color: #fff;
    /*background-color: #286090 !important;*/
    background: linear-gradient(#688fb1,#286090);
}

.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus {
    background-color: #E0F2F1;
}

.container {
    width: 1343px;
}

.footer {
    background: linear-gradient(#546e7a,#37474f);
    color: white;
    clear: both;
    text-align: left;
    position: relative;
    bottom: 0px;
    width: 100%;
    vertical-align: middle;
    font-size:12px;
    padding: 5px 0px;
    color:#ccc;
}

.modal-content {
    width: 361px;
    min-height: 167px;
}
.modal-content-custom {
    padding: 5px;
    position: relative;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #999;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: 6px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,.5);
    box-shadow: 0 3px 9px rgba(0,0,0,.5);
    -webkit-box-shadow: 0 5px 15px rgba(0,0,0,.5);
    box-shadow: 0 5px 15px rgba(0,0,0,.5);
}
.modal-header-custom {
    padding: 5px;
    border-bottom: 1px solid #e5e5e5;
}
.modal-custom {
    position: fixed;
    top: 70px;
    right: 100px;
    left: 100px;
    z-index: 1050;
    display: none;
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
    outline: 0;
}

/*hr.style {
    border: 0;
    height: 1px;
    background: #333;
    background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
}*/

/*----------------------------------paging------------------------------------*/
.Pager span {
    padding: 2px 5px;
    -webkit-border-radius: 5px;
    text-align: center;
    color: #000;
    display: inline-block;
    width: 29px;
    height: 27px;
    background-color: #E0F2F1;
    margin-right: 3px;
    line-height: 150%;
    border: 1px solid #3AC0F2;
}

.Pager a {
    width: 29px;
    height: 27px;
    padding: 2px 5px;
    -webkit-border-radius: 5px;
    text-align: center;
    display: inline-block;
    background-color: #fff !important;
    color: #000;
    border: 1px solid #3AC0F2 !important;
    margin: 0 3px;
    line-height: 150%;
    text-decoration: none;
}


/*------------------------Validation CSS--------------------------*/

.CustomValidatorCalloutStyle div, .CustomValidatorCalloutStyle td {
    background-color: firebrick;
    color: white;
    font-family: "Helvetica Neue", Roboto, Arial, "Droid Sans", sans-serif;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.471;
    text-align: left;
}

.CustomValidatorCalloutStyle .ajax__validatorcallout_icon_cell {
    display: none;
}

.CustomValidatorCalloutStyle .ajax__validatorcallout_popup_table {
    width: 150px;
}

body {	
	height:100%;    
    font-family:Verdana;
    font-size:12px;
}
#wrapper {
	min-height:100%;
	position:relative;
}

#content {
	padding-bottom:100px; /* Height of the footer element */
    /*font-size:12px;*/
}
#footer {
	width:100%;
	position:absolute;
	bottom:0;
	left:0; 
    margin-bottom: -31px;  
}

/*****************************************************/
/*-------------------
	Photo area
--------------------*/


#photos{
	margin: 60px auto 100px;
	overflow: hidden;
	width: 880px;
}

#photos:hover a{
	opacity:0.5;
}

#photos a,
#loadMore{
	background-position: center center;
	background-color: rgba(14, 14, 14, 0.3);
	float: left;
	height: 110px;
	margin: 1px 1px 0 0;
	overflow: hidden;
	width: 145px;
	
	-moz-transition:0.25s;
	-webkit-transition:0.25s;
	-o-transition:0.25s;
	transition:0.25s;
}

#photos a:hover{
	opacity:1;
}

#loadMore{
	cursor: pointer;
	line-height: 110px;
	text-align: center;
	text-transform: uppercase;
	font-size:10px;
}

#loadMore:hover{
	color:#fff;
	text-shadow:0 0 4px #fff;
}


/*----------------------
	Camera slide up
-----------------------*/


#camera{
	
	border:1px solid #f0f0f0;
	height:300px;
	width:300px;
	/*position:fixed;
	bottom: 0px;
	left:50%;
	margin-left:-300px;*/

	-moz-border-radius:4px 4px 0 0;
	-webkit-border-radius:4px 4px 0 0;
	border-radius:4px 4px 0 0;
	
	-moz-box-shadow:0 0 4px rgba(0,0,0,0.6);
	-webkit-box-shadow:0 0 4px rgba(0,0,0,0.6);
	box-shadow:0 0 4px rgba(0,0,0,0.6);
}

.camTop{
	
	width:100%;
	height:66px;
	position:absolute;
	top:0;
	left:0;
	cursor:pointer;
}

.settings{
	background:url('../images/settings.png') no-repeat;
	cursor: pointer;
	height: 28px;
	position: absolute;
	/*right: 37px;
	top: 448px;*/
	width: 30px;
}

.settings:hover{
	background-position:left bottom;
}

#screen{
	width:300px;
	height:260px;
	/*margin: 66px auto 22px;*/
	background:#ccc;
	
	/*line-height: 360px;*/
    text-align: center;
	color:#666;
}

.buttonPane{
	text-align: center;
}

.tooltip{
	background:url('../images/tooltip.png') no-repeat;
	position:absolute;
	width:177px;
	height:146px;
	right: 38px;
	top: -140px;
}

.blueButton,
.greenButton{
	background:url('../images/buttons.png') no-repeat;
	text-shadow:1px 1px 1px #277c9b;
	color:#fff !important;
	width:99px;
	height:38px;
	border:none;
	text-decoration:none;
	display:inline-block;
	font-size: 16px;
	line-height: 32px;
	text-align: center;
	margin: 0 4px;
}

.greenButton{
	background:url('../images/buttons.png') no-repeat right top;
	text-shadow:1px 1px 1px #498917;
}

.blueButton:hover,
.greenButton:hover{
	background-position:left bottom;
	text-decoration:none !important;
}

.greenButton:hover{
	background-position:right bottom;
}

.blueButton:active,
.greenButton:active{
	position:relative;
	bottom:-1px;
}

.hidden{
	display:none;
}


/*-------------------------
	Generic styles
--------------------------*/


a, a:visited {
	text-decoration:none;
	outline:none;
	color:#54a6de;
}

a:hover{
	text-decoration:underline;
}

/*----------My CSS-----------*/

/*------------------------Validation CSS--------------------------*/

/*.row {
    margin-right: 0px;
    margin-left: 0px;
}*/


.CustomValidatorCalloutStyle div, .CustomValidatorCalloutStyle td {
    background-color: #ff5252;   
    color: #fff;
    font-family: "Helvetica Neue", Roboto, Arial, "Droid Sans", sans-serif;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.471;
    text-align: left;
}

.CustomValidatorCalloutStyle .ajax__validatorcallout_icon_cell {
    display: none;
}

.CustomValidatorCalloutStyle .ajax__validatorcallout_popup_table {
    width: 150px;
}

.navbar-inverse .navbar-nav > li > a:focus, .navbar-inverse .navbar-nav > li > a:hover {    
    background-color: #31708f;
}
.input-group .form-control {    
    z-index: 1;
}
.pageHeading
{
    margin-bottom: 5px;
    text-align:center;
}

/*table
{
    width:100%;
}*/

.input-sm {    
    padding: 2px 10px;    
    border-radius:0px;
    height: 25px;
}

.glyphicon:before
{
    padding: 3px;
}
.row:after, .row:before
{
    display: none;
}
.imagePreview
{
    height: 50%;
    width: 60%;
    vertical-align: baseline;
}
.modal-content
{
    width:100%;
    height:100%;
}
.modal-body
{   
    height:100%;   
    max-height: 350px;
    overflow-y: auto;
}
.modal-dialog {
    overflow-y: initial;
}
.radio-inline
{
    vertical-align:sub;
}
.modal-footer
{
    margin-top: 20px;
}
.container {
    width: 100%;
}
.alert {    
    margin-bottom: 10px; 
}
.alert-dismissable .close, .alert-dismissible .close {
    position: static;
}
.alertSmall
{
    padding: 10px 20px;
    border-radius: 2px;
    margin-bottom:0px;
}
.table
{
    margin-bottom:10px;
}

/*-------------Footer CSS------------*/
html {
  height: 100%;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  position: relative;    
  height: 100%;  
}

#footer {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;  
  background-color: #37474f;
  text-align: left;
  margin-bottom: -31px;  
}
#content {
	padding-bottom:50px; /* Height of the footer element */    
}
fieldset {
    padding: 10px;
}
label {
    font-weight: 400;
}
/*.panel_Packing
{
    margin-top:20px;
}*/

/*.table-responsive {
    overflow-x: initial;
}*/
table
{
  background-color: #fff;
}
.form-control[disabled], .form-control[readonly] {
    background-color: #dff0d8 !important;
    opacity: 1;
}

.table-striped > tbody > tr:nth-of-type(odd) {
   background-color: #fff;
}

.table-striped > tbody > tr:nth-of-type(even) {
   background-color: #fafafa;
}
input[type=checkbox]{
    margin: 4px 6px 0;
}
.select2-container--default .select2-selection--single {    
    border: 1px solid #ccc;
    border-radius: 3px;
    line-height: 25px;
    font-size: 12px;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
}
.select2-container .select2-selection--single {
    height: 26px;
}
.select2-selection__rendered {    
    line-height: 25px;
}
.AddonText
{
    font-weight:700;
}
hr
{
  border: 0;
  clear:both;
  display:block;
  width: 100%;               
  background-color:#cccccc;
  height: 1px;
  /*margin-bottom:5px*/
}

.panelLeft {
    padding-right:5px;
}

.panelRight {
    padding-left:5px;
}

.inputBold {
    text-align: right; 
    font-size: 14px; 
    font-weight: 700;
}

tfoot {
    font-weight: 700; 
    background: oldlace;    
}

    tfoot > tr {
        text-align: right;
    }    


.StatusPacked {
    display: inline;
    padding: .2em .6em .3em;
    font-size: 90%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
    background-color: #AD1457 !important;
}

.StatusRTS {
    display: inline;
    padding: .2em .6em .3em;
    font-size: 90%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
    background-color: #AB47BC !important;
}

.dropdown-menu {
    font-size: 12px;
}

.wickedpicker {
    width: 155px ;    
    font-size: 12px ;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #3F51B5;
    border: 1px solid #3F51B5;
    color: #fff;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #ccc;
}

.select2-container {
    margin: 0px 0px 5px;
}

.ui-widget {    
    font-size: 1.2em;
}

